Module javafx.graphics
Package javafx.css

# Class SimpleSelector

java.lang.Object
javafx.css.Selector
javafx.css.SimpleSelector

public final class SimpleSelector extends Selector
A simple selector which behaves according to the CSS standard.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applies(Styleable styleable)`
`boolean`
`applies(Styleable styleable, Set<PseudoClass>[] pseudoClasses, int depth)`
`Match`
`createMatch()`
`boolean`
`equals(Object obj)`
`String`
`getId()`
`String`
`getName()`
`NodeOrientation`
`getNodeOrientation()`
`List<String>`
`getStyleClasses()`
`Set<StyleClass>`
`getStyleClassSet()`
`int`
`hashCode()`
`boolean`
`stateMatches(Styleable styleable, Set<PseudoClass> states)`
Determines whether the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector.
`String`
`toString()`
Converts this object to a string.
`protected final void`
`writeBinary(DataOutputStream os, StyleConverter.StringStore stringStore)`

### Methods inherited from class javafx.css.Selector

`createSelector, getOrdinal, getRule, setOrdinal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()

Returns:
  The name of the java class to which this selector is applied, or *.

### getStyleClasses

public List<String> getStyleClasses()

Returns:
  Immutable List<String> of style-classes of the selector

### getStyleClassSet

public Set<StyleClass> getStyleClassSet()

### getId

public String getId()

### getNodeOrientation

public NodeOrientation getNodeOrientation()

### createMatch

public Match createMatch()

Specified by:
  `createMatch` in class `Selector`

### applies

public boolean applies(Styleable styleable)

Specified by:
  `applies` in class `Selector`

### applies

public boolean applies(Styleable styleable, Set<PseudoClass>[] pseudoClasses, int depth)

Specified by:
  `applies` in class `Selector`

### stateMatches

public boolean stateMatches(Styleable styleable, Set<PseudoClass> states)
Description copied from class: `Selector`
Determines whether the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector.

Specified by:
  `stateMatches` in class `Selector`
Parameters:
  `styleable` - the styleable
  `states` - the state
Returns:
  `true` if the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Converts this object to a string.

Overrides:
  `toString` in class `Object`

### writeBinary

protected final void writeBinary(DataOutputStream os, StyleConverter.StringStore stringStore) throws IOException

Overrides:
  `writeBinary` in class `Selector`
Throws:
  `IOException`